Skip to main content
POST
Create Classification

Authorizations

X-API-KEY
string
header
required

Headers

Idempotency-Key
string

Optional. A unique value (a UUID works well) identifying this operation. If the request is repeated with the same key, the original response is replayed instead of the operation running again, so a retry cannot create a duplicate record. Results are replayable for 48 hours. Reusing a key with a different request body returns 422.

Maximum string length: 255

Body

application/json
name
string
required
Required string length: 2 - 128
is_active
boolean
required
selections
PublicSelectionItemIn · object[]
required
required_for_records
enum<string>[]
required
Available options:
purchase_order,
sales_order,
cash_sale,
invoice,
bill,
direct_expense,
vendor_credit,
journal_entry,
intercompany_journal_entry,
customer_credit,
customer_deposit,
statistical_journal
parent_id
integer | null
required
id
integer | null

Response

Created

id
integer
required
selections
PublicSelectionItemOut · object[]
required
required_for_records
enum<string>[]
required
Available options:
purchase_order,
sales_order,
cash_sale,
invoice,
bill,
direct_expense,
vendor_credit,
journal_entry,
intercompany_journal_entry,
customer_credit,
customer_deposit,
statistical_journal
parent_id
integer | null
required
parent_name
string | null
required
name
string
required
Maximum string length: 128
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

is_active
boolean
default:true
Last modified on August 21, 2026